PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
PROJECT_ID="YOUR_PROJECT_ID"
curl -X PATCH "https://api.pinecone.io/admin/projects/$PROJECT_ID" \
-H "accept: application/json" \
-H "Content-Type: application/json" \
-H "X-Pinecone-Api-Version: 2025-10" \
-d '{
"name": "updated-example-project"
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "updated-example-project",
"max_pods": 0,
"force_encryption_with_cmek": false,
"organization_id": "string",
"created_at": "2025-03-17T00:42:31.912Z"
}
Projects
Update a project
Update a project’s configuration details. You can update the project’s name, maximum number of Pods, or enable encryption with a customer-managed encryption key (CMEK).
PATCH
/
admin
/
projects
/
{project_id}
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
PROJECT_ID="YOUR_PROJECT_ID"
curl -X PATCH "https://api.pinecone.io/admin/projects/$PROJECT_ID" \
-H "accept: application/json" \
-H "Content-Type: application/json" \
-H "X-Pinecone-Api-Version: 2025-10" \
-d '{
"name": "updated-example-project"
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "updated-example-project",
"max_pods": 0,
"force_encryption_with_cmek": false,
"organization_id": "string",
"created_at": "2025-03-17T00:42:31.912Z"
}
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
PROJECT_ID="YOUR_PROJECT_ID"
curl -X PATCH "https://api.pinecone.io/admin/projects/$PROJECT_ID" \
-H "accept: application/json" \
-H "Content-Type: application/json" \
-H "X-Pinecone-Api-Version: 2025-10" \
-d '{
"name": "updated-example-project"
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "updated-example-project",
"max_pods": 0,
"force_encryption_with_cmek": false,
"organization_id": "string",
"created_at": "2025-03-17T00:42:31.912Z"
}
Authorizations
An access token must be provided in the Authorization header using the Bearer scheme.
Body
application/json
Project details to be updated. Fields that are omitted will not be updated.
Response
The project was successfully updated.
The details of a project.
Was this page helpful?